# Visual validators

A visual validator is a Routine which you can attach to a stimulus (via the Testing tab of that stimulus) to evaluate how accurate the presentation times of that stimulus are. You point it towards a light sensor connected to your machine (such as the ones used by the Cedrus RB/Riponda/StimTracker, or the BBTK TPad), it will work out where the sensor is on screen or you can tell it ahead of time, and in that location it will draw a small square. When the attached stimulus is visible on screen, the square will be white. When it's not, the square will be black.

This means that the on/off timestamps from the light sensor tell you when the stimulus was *actually* displayed, not just when PsychoPy *told it* to be displayed. By comparing the timestamps from the Visual Validator (`stimulus.visualVal.tStart` and `stimulus.visualVal.tStop` in the data file) against the timestamps from the stimulus (`stimulus.tStart` and `stimulus.tStop`) you can measure the speed of your monitor's refresh. A well calibrated monitor setup should have less than a frame's difference between the two - so if you're finding more than 1/60th of a second between them, there may be an issue with your monitor, connection or graphics settings.

If you don't have a light sensor connected, you can choose the Screen Buffer Emulator as the validator's device. It will act like a light sensor by asking the screen's buffer what color certain pixels are. This isn't useful in a real experiment as there's no actual light being measured, but it allows you to run this demo to see what the procedure looks like (and allows you to build and debug validated experiments when you're not at the computer with the sensor attached!)